> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Context Document



## OpenAPI

````yaml GET /v1/context-documents/{doc_uuid}
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/context-documents/{doc_uuid}:
    get:
      tags:
        - context-documents
      summary: Get Context Document
      operationId: get_context_document_v1_context_documents__doc_uuid__get
      parameters:
        - name: doc_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Doc Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_ContextDocumentResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_ContextDocumentResponse_:
      properties:
        data:
          $ref: '#/components/schemas/ContextDocumentResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[ContextDocumentResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContextDocumentResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        title:
          type: string
          title: Title
        document_type:
          type: string
          title: Document Type
        is_global:
          type: boolean
          title: Is Global
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tags:
          items:
            type: string
          type: array
          title: Tags
        version:
          type: integer
          title: Version
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        content:
          type: string
          title: Content
        targeting_rules:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Targeting Rules
      type: object
      required:
        - uuid
        - title
        - document_type
        - is_global
        - description
        - tags
        - version
        - created_at
        - updated_at
        - content
        - targeting_rules
      title: ContextDocumentResponse
      description: Full response — includes content and targeting_rules.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````